package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.Industry.IndustryDataQueryRequest;
import com.ruoyi.web.domain.entity.IndustryData;

/**
 *
 */
public interface IndustryDataService extends IService<IndustryData> {
    Integer addIndustryData(IndustryData industryData);

    boolean deleteIndustryData(String ids);

    void editIndustryData(IndustryData industryData);

    IndustryData getIndustryDataById(int id);

    Page<IndustryData> getListIndustryDataByPage(IndustryDataQueryRequest industryDataQueryRequest);

}
